View Issue Details

IDProjectCategoryView StatusLast Update
14768Bug reports[All Projects] Survey takingpublic2019-04-30 09:12
ReporterdroderoAssigned Todominikvitt 
PrioritynoneSeveritycrash 
Status closedResolutionfixed 
Product Version3.17.x 
Target VersionFixed in Version3.17.x 
Summary14768: Survey fails when default answer is set
Description

If you have a question with a default answer is set, when you preview your question or you run your survey, it fails. You've got this error:

PHP notice
Undefined index: info
application/helpers/expressions/em_manager_helper.php(10191)

10191 if(!Answer::model()->getAnswerFromCode($qinfo['info']['qid'],$value,$language))

Steps To Reproduce

Create a survey.
Create a question group.
Create a question of list radio type.
Create tree answer options.
Edit default answer and set one of them.
Click on preview question

TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 3.17.2+190408
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionMySQL 5.7.20-0ubuntu0.16.04.1-log
Server OS (if known)Ubuntu 16.04
Webserver software & version (if known)Apache 2
PHP Version7.1.28

Relationships

related to 14649 closedDenisChenu CDbException when a "default answer" option is not compatible with a question type 
related to 14799 closeddominikvitt Setting default answer in a single-option question doesn't work (receiving error message when taking the survey) 

Activities

drodero

drodero

2019-04-11 11:10

reporter  

Captura de pantalla 2019-04-11 a las 11.08.47.png (255,880 bytes)
dominikvitt

dominikvitt

2019-04-12 10:35

developer   ~51445

This issue is already fixed 3 days ago.
https://github.com/LimeSurvey/LimeSurvey/commit/7eaaba33141f48a604b12657b62bc5b333370e1d

Fixed version is available now on GitHub and would be available on next LimeSurvey release.

drodero

drodero

2019-04-12 10:41

reporter   ~51449

Great!

c_schmitz

c_schmitz

2019-04-30 09:12

administrator   ~51676

Fixed in Version 3.1.7.3

Issue History

Date Modified Username Field Change
2019-04-11 11:10 drodero New Issue
2019-04-11 11:10 drodero File Added: Captura de pantalla 2019-04-11 a las 11.08.47.png
2019-04-12 10:35 dominikvitt Assigned To => dominikvitt
2019-04-12 10:35 dominikvitt Status new => resolved
2019-04-12 10:35 dominikvitt Resolution open => fixed
2019-04-12 10:35 dominikvitt Fixed in Version => 3.17.x
2019-04-12 10:35 dominikvitt Note Added: 51445
2019-04-12 10:41 drodero Note Added: 51449
2019-04-24 17:00 DenisChenu Relationship added related to 14649
2019-04-24 17:00 DenisChenu Relationship added related to 14799
2019-04-30 09:12 c_schmitz Note Added: 51676
2019-04-30 09:12 c_schmitz Status resolved => closed